/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.c

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#include "utils.h"

void Activate_EIC ( void )
{
    /* Activate External Interrupt Controller */
    EIC_CallbackRegister(EIC_PIN_12, &EIC_Callback, 0);
    EIC_InterruptEnable(EIC_PIN_12);
}

int8_t user_i2c_read (uint8_t dev_addr, uint8_t reg_addr, uint8_t *data, uint16_t len) {
    if(SERCOM1_I2C_WriteRead((uint16_t)dev_addr, &reg_addr, 1, data, (uint32_t)len)) {
        while(SERCOM1_I2C_IsBusy());
        return BMI160_OK;
    }
    else {
        return BMI160_E_COM_FAIL;        
    }
}

int8_t user_i2c_write (uint8_t dev_addr, uint8_t reg_addr, uint8_t *data, uint16_t len) {
    
    uint8_t buff [20];
    buff[0] = reg_addr;
    uint8_t i;
    for (i = 0; i < len; i++) {
        buff[1+i] = data[i];
    }
    
    if(SERCOM1_I2C_Write((uint16_t)dev_addr, buff, (uint32_t)len + 1)) {
        while(SERCOM1_I2C_IsBusy());
        return BMI160_OK;
    } else {
        return BMI160_E_COM_FAIL;
    }
}

/* *****************************************************************************
 End of File
 */
